
eXtplorer - PHP-based File Manager - Fehler #82

here are a lot of posts showing ploblems with extplorer

09/01/2012 09:44 AM - Tobias Conrad

Status: Gelöst   

Priority: Sofort   

Assignee: Sören Eberhardt-Biermann   

Category: Bug   

Target version: 2.1.0   

eXtplorer Version:  Joomla! Version:  

Description

please fix it.

http://forum.joomla.org/viewtopic.php?f=471&t=317246

thank you

here is mine, extension only looping.

http://lab-hamburg.de/web/administrator/index.php?option=com_extplorer&nofetchscript=1

login: admin

PW: ***

History

#1 - 09/01/2012 08:04 PM - Sören Eberhardt-Biermann

- Description updated

- Status changed from Neu to Gelöst

Your web server is not properly configured. It does not load the file

/web/administrator/components/com_extplorer/fetchscript.php

Please change the permissions of that file so it can be loaded by your webserver (e.g. remove execution permissions).

#2 - 09/01/2012 09:52 PM - Tobias Conrad

Sorry,

files are now on 644 and folders on 755 like on my other installation with extplorer and still looping.

also with 777 it does not work.

What do you meen exactly with remove execution permissions?

Thank you

#3 - 09/01/2012 10:00 PM - Sören Eberhardt-Biermann

Please bring your webserver to deliver this script:

http://lab-hamburg.de/web/administrator/components/com_extplorer/fetchscript.php

Currently that throws a 403 Forbidden error.

#4 - 09/02/2012 04:48 AM - Tobias Conrad

know to google, can fix a lot...

https://www.akeebabackup.com/support/admin-tools/12037-extplorer-component--infinite-loop-after-custom-at-htaccess-file.html

now ticket is closed

customer is statisfied again.

thank you nice tool
#5 - 03/27/2013 05:50 PM - Alvin Parsons

Here is a simple fix for Joomla 3.03

Navigate to the following path in your Joomla installation:

administrator/components/com_extplorer/index.php.

Then edit the index.php file and insert the below code which is missing when the component is installed:

require_once(dirname(FILE).'/fetchscript.php');

---------------------------------------------------------

To help you identify where in the file the code should be inserted, I've shown below a snippet of my fix to guide you --

// Set flag that this is a parent file

define( '_VALID_MOS', 1 );

define( '_VALID_EXT', 1 );

require_once( dirname(FILE).'/libraries/standalone.php');

require_once(dirname(FILE).'/fetchscript.php');

ob_start();

include( dirname(FILE).'/admin.extplorer.php' );

$mainbody = ob_get_contents();

ob_end_clean();
